List Projects
curl --request GET \
--url https://app.surfacd.com/api/v1/projects \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.surfacd.com/api/v1/projects"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.surfacd.com/api/v1/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"pitch_ends_at": "2023-11-07T05:31:56Z",
"prompt_limit": 123,
"archived_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"default_country": {
"code": "<string>",
"name": "<string>"
},
"primary_brand": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"domain": "<string>",
"brand_aliases": [
"<string>"
]
},
"services": [
{
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"display_name": "<string>",
"provider": "<string>"
}
],
"share": {
"enabled": true,
"share_url": "<string>",
"password_protected": true
}
}
],
"meta": {
"current_page": 123,
"last_page": 123,
"per_page": 123,
"total": 123,
"from": 123,
"links": [
{
"url": "<string>",
"label": "<string>",
"active": true
}
],
"path": "<string>",
"to": 123
},
"links": {
"first": "<string>",
"last": "<string>",
"prev": "<string>",
"next": "<string>"
}
}{
"message": "<string>",
"errors": {}
}Projects
List Projects
Returns paginated projects for the current team. Excludes archived projects by default; pass include_archived=1 to include them.
GET
/
api
/
v1
/
projects
List Projects
Authorizations
Team API key created in Team Settings. Use it with URLs for the same team.
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100Include archived projects in the response.
⌘I